/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package actions;

import java.awt.event.ActionEvent;
import mathgraph32.MtgFrame;

/**
 * Spcial version Applet
 * @author Yves
 *
 */
@SuppressWarnings("serial")
public class ActionAffichageAutoMesures extends MtgAction {
	public ActionAffichageAutoMesures(MtgFrame frameInit) {
		super(frameInit, null, getString("affichageAutoMesures"), null, null, null);
	}
	
	public void actionPerformed(ActionEvent e) {
		boolean b = frame.cbAffichageAutoMesures.isSelected();;
		frame.pref_affichageMesuresNiveau[1] = b;
		frame.pref_affichageMesuresNiveau[2] = b;
		frame.pref_affichageMesuresNiveau[3] = b;
		frame.pref_affichageMesuresNiveau[4] = b;
	}
	
}
