/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package outils;

import objets.CMathGrafDoc;
import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;

public class OutilPointageHistorique extends OutilPointage {

  /** Creates a new instance of OutilPointageHistorique */
  public OutilPointageHistorique(MtgFrame frameInit) {
    super(frameInit);
    // aRedessinerDansPaint = true;
  }
  
  public void actionDansPaint(MtgInternalFrame cadre) {
		CMathGrafDoc doc= cadre.document;
		cadre.effacegbuffer();
		if (!frame.outilActif.nbClignPair)
			cadre.paneFigure.afficheToutDansgbufferPourHistSaufListeClig(cadre.frame.pref_antialiasing);
		else {
			cadre.paneFigure.afficheToutDansgbufferPourHistSaufListeClig(cadre.frame.pref_antialiasing);
			frame.listeClignotante.afficheToutMemeMasquesPourHistorique(cadre.gbuffer, cadre.dimf, cadre.couleurFond, doc.transparencePourSurfaces,
					frame.pref_antialiasing);
		}
		aRedessinerDansPaint = false;		
  }
}
